function PanelOnglet() {
	var div = document.createElement("div");
	div.id = "pOnglet";
	var ul = document.createElement("ul");
	
	div.appendChild(ul);
	this.objPanel = div;
}

PanelOnglet.prototype = {
	'objPanel' : null,
	'attachment' : null,
	'lstOnglet' : new Array(),
	'cOnglet' : null,
	
	/**
	 * public void addOnglet(String text, Function onclickCallback)
	 * 
	 * Ajoute un onglet.
	 * 
	 * @param (String) text Texte affiché
	 * @param (Function) onclickCallback Callback lors du click sur l'onglet
	 */
	
	'addOnglet' : function (text, onclickCallback) {
		var li = document.createElement("li");
		li.innerHTML = text;
		li.className = "current";
		li.onclick = function (onclickCallback, li) {
			if (this.cOnglet != null)
				this.cOnglet.className = "";
			
			li.className = "current";
			this.cOnglet = li;
			onclickCallback();
		}.bind(this, onclickCallback, li);
		
		if (this.cOnglet != null)
				this.cOnglet.className = "";
		this.cOnglet = li;
		
		this.objPanel.firstChild.appendChild(li);
	}
	,
	
	/**
	 * public void removeOnglet(String text)
	 * 
	 * Enlève un onglet qui porte le nom spécifié en paramètre.
	 * 
	 * @param (String) text
	 */
	
	'removeOnglet' : function (text) {
		var lstOnglet = this.objPanel.firstChild.childNodes;
		
		for (var i=0; i<lstOnglet.length; i++) {
			if (lstOnglet[i].innerHTML == text) {
				lstOnglet[i].parentNode.removeChild(lstOnglet[i]);
				break;
			}
		}
	}
};

PanelOnglet.extend(Panel);